args "--no-version --no-help"

purpose "Make an audio stream from a local file"

description "
	The afh (audio format handler) receiver can be used to write
	selected parts of the given audio file without decoding
	the data.

	The selected parts of the content of the audio file are passed
	to the child nodes of the buffer tree. Only complete chunks
	with respect of the underlying audio format are passed.
"

include(header.m4)
<qu>
option "filename" f
#~~~~~~~~~~~~~~~~~~
"file to open"
string typestr = "filename"
required

option "begin-chunk" b
#~~~~~~~~~~~~~~~~~~~~~
"skip the beginning of the file"
int typestr = "chunk_num"
default = "0"
optional
details = "
	The chunk_num argument must be between -num_chunks and
	num_chunks - 1, inclusively, where num_chunks is the total
	number of chunks of the audio file given by the argument to
	--filename. If chunk_num is negative, the given number of
	chunks are counted backwards from the end of the file. For
	example --begin-chunk -100 instructs the afh receiver to
	start output at chunk num_chunks - 100. This is useful for
	selecting the last part of an audio file.
"

option "end-chunk" e
#~~~~~~~~~~~~~~~~~~~
"only write up to chunk chunk_num"
int typestr = "chunk_num"
optional
details = "
	For the chunk_num argument the same rules as for --begin-chunk
	apply. The default is to write up to the last chunk.
"

option "just-in-time" j
#~~~~~~~~~~~~~~~~~~~~~~
"use timed writes"
flag off
details = "
	Write the specified chunks of data 'just in time', i.e. the
	write of each chunk is delayed until the time it is needed
	by the decoder/player in order to guarantee an uninterrupted
	audio stream. This may be useful for third-party software
	that is capable of reading from stdin.
"

option "no-header" H
#~~~~~~~~~~~~~~~~~~~
"do not write an audio file header"
flag off
details = "
	If an audio format needs information about the audio file
	in a format-specific header in order to be understood by
	the decoding software, a suitable header is automatically
	send. This option changes the default behaviour, i.e. no
	header is written.
"

</qu>
